Archived

This topic is now archived and is closed to further replies.

bricky149

GUID Error

Recommended Posts

The site gives me a GUID error every time I try to upload an extension. For example, this one that I've been trying for ages.

It installs fine, but the extensions site doesn't like the GUID even though it's in the correct format.

Ponyhoof.mxaddon

Share this post


Link to post
Share on other sites

Hi,

First time instal on your computer Microsoft Net framework and check your updates.

Here is your addon, now you can upload and share.

Now your errors:

Remove comma from:

"author": {

"name": "bricky149",

"email": "xxxxxxxx@gmail.com,"

"title": {"en": "Ponyhoof"},

"description": {"en": "Ponify Facebook and make it 20% cooler!",},

"js": ,]

-----------------

insert:

"icon": "icon",

Icon sizes are: icon_16.png, icon_32,png, icon_48.png

Extension version number

"version": "1.0.561",

Should be 3 integers splited by "."

Every integer up to 4 digits

"frameworkVersion": "1.0.1", not 1.0.6

and

}

]

}

]

the order was broken

Ponyhoof.mxaddon

post-11090790-14315106111879_thumb.png

post-11090790-14315106124005_thumb.jpg

Share this post


Link to post
Share on other sites

It was the missing bracket that caused the error and I didn't notice it until now. Thanks! :)

Just for reference: "icon" is an optional attribute, frameworkVersion is currently at 1.0.6, the extension version is the same as the script (now at 1.571) and the trailing commas don't make a difference but were removed on my end after uploading the file to here.

Edit: I see Discuz doesn't like ">.>" in the comments. :L

Share this post


Link to post
Share on other sites